import pygame
from pygame.locals import *

from . import tools

class Player(pygame.sprite.Sprite):
    frame = 0
    speed = 3
    move_width = 480

    def __init__(self):
        pygame.sprite.Sprite.__init__(self, self.containers)
        self.image = tools.load_image("resources/image", "player.png", (255, 255, 255))
        self.rect = self.image.get_rect()
        self.rect.center = (320, 64)
        self.left = 80
        self.right = self.left + self.move_width

    def update(self):
        pressed_keys = pygame.key.get_pressed()
        if pressed_keys[K_LEFT]:
            if self.rect.left > self.left:
                self.rect.move_ip(-self.speed, 0)
        elif pressed_keys[K_RIGHT]:
            if self.rect.right < self.right:
                self.rect.move_ip(self.speed, 0)
