import pygame
from pygame.locals import *

from .setup import *
from . import tools

class Title():
    def __init__(self):
        self.title_font = pygame.font.Font("resources/font/minamoji04.ttf", 64)
        self.press_font = pygame.font.Font("resources/font/minamoji04.ttf", 32)
        self.credit_font = pygame.font.SysFont(None, 32)

        self.title = self.title_font.render(CAPTION, True, (255, 255, 255))
        self.press = self.press_font.render("Press SPACE to START", True, (255, 255, 255))
        self.credit = self.credit_font.render("- Jizo Games 2021 -", True, (255, 255, 255))

        self.title_pos = (((SCR_RECT.width / 2) - (self.title.get_width() / 2)), 100)
        self.press_pos = (((SCR_RECT.width / 2) - (self.press.get_width() / 2)), 285)
        self.credit_pos = (((SCR_RECT.width / 2) - (self.credit.get_width() / 2)), 420)

        self.frame = 0
        self.show = True

    def update(self):
        self.frame += 1
        if int(self.frame / 24 % 2) == 0:
            self.show = True
        else:
            self.show = False

    def draw(self, screen):
        screen.fill((0, 0, 0))
        screen.blit(self.title, self.title_pos)
        screen.blit(self.credit, self.credit_pos)
        if self.show == True:
            screen.blit(self.press, self.press_pos)

    def key_handler(self, event):
        if event.type == KEYUP and event.key == K_SPACE:
            return PLAY
